www.cendio.com
Bug 5600 - desktop environments like to resize to "preferred" mode on login
: desktop environments like to resize to "preferred" mode on login
Status: CLOSED FIXED
: ThinLinc
VNC
: pre-1.0
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
: 3055
  Show dependency treegraph
 
Reported: 2015-07-30 15:19 by
Modified: 2015-09-25 14:00 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-07-30 15:19:05
Broken out of bug 3055:

 ------- Comment #3 From Pierre Ossman cendio 2013-05-06 16:43:00 -------

Gnome 3 seems to have added even more magic in this area. Without any
configuration at all, Gnome 3 on Fedora 19 (alpha) will try to resize things to
1920x1200.

Not sure where it is getting this size from. It is the largest resolution in
Xvnc's default list, so it might be that. It is probably trying to be clever
and use the display's "native" resolution, and using the largest one when it
cannot find an EDID.

There are some settings under "org.gnome.settings-daemon.plugins.xrandr" in
dconf that might influence this.

 ------- Comment #6 From Pierre Ossman cendio 2014-11-03 15:49:26 -------

This seems to have to do with us not listing any preferred modes:

https://github.com/TigerVNC/tigervnc/pull/57
------- Comment #1 From cendio 2015-07-30 15:23:50 -------
Fixed in r30637.
------- Comment #2 From cendio 2015-08-12 09:21:08 -------
Tested using client build 4854.

Test case is; verify preferred mode using xrandr (the entry marked with +).
Resizing vncviewer window should update the the preffered mode entry with
correct window size. Resize of display resolution within session using tools
shall not change preffered mode but only the current display.

Tested using Gnome 3 (Fedora 22) and KDE (SLES11).

Behaves correctly using singel monitor.

Needs to be tested: Dual monitor handling.
------- Comment #3 From cendio 2015-08-12 09:31:57 -------
(In reply to comment #2)
> Tested using client build 4854.
> 
> Tested using Gnome 3 (Fedora 22) and KDE (SLES11).
> 

Clients platforms tested Fedora 22 and Mac Os X
------- Comment #4 From cendio 2015-08-12 09:43:21 -------
(In reply to comment #2)
> Tested using client build 4854.
>
> Needs to be tested: Dual monitor handling.

Verified using build 4854 on Windows 7 client, works as expected.